#ifndef CAN_CH0_APP_H__
#define CAN_CH0_APP_H__

#include "TYW_stdint.h"


extern void Can_Set_Buff_217(uint8_t CopyData []);
extern void Can_Set_Buff_317(uint8_t CopyData []);
extern void Can_Set_Buff_257(uint8_t CopyData []);
extern void Can_Set_Buff_31C(uint8_t CopyData []);
extern void Can_Set_Buff_43C(uint8_t CopyData []);/*8.21*/
extern void Can_Set_Buff_254(uint8_t CopyData []);/*8.21*/

extern void CAN_CH0_0F6_Update(uint8_t copy[]);
extern uint8_t CAN_CH0_0F6_Update_Get(void);
extern void CAN_CH0_0F6_Update_Clear(void);
extern uint8_t  CAN0Msg0F6_Byte_Get(uint8_t u8ByteSeq);

extern void CAN_CH0_1A8_Update(void);
extern uint8_t CAN_CH0_1A8_Update_Get(void);
extern void CAN_CH0_2AD_Update(uint8_t copy[]);
extern uint8_t CAN_CH0_2AD_Update_Get(void);
extern void CAN_CH0_2AD_Update_Clear(void);
extern void CAN_CH0_3E7_Update(uint8_t copy[]);
extern uint8_t CAN_CH0_3E7_Update_Get(void);
extern void CAN_CH0_3E7_Update_Clear(void);

extern void CAN_CH0_294_Update(uint8_t copy[]);
extern uint8_t CAN_CH0_294_Update_Get(void);
extern void CAN_CH0_294_Update_Clear(void);

extern void CAN_CH0_036_Update(uint8_t copy[]);
extern uint8_t CAN_CH0_036_Update_Get(void);
extern void CAN_CH0_036_Update_Clear(void);

#endif

